Bug 782262 - provide an option to create volume files with more debug translators in the graph.
provide an option to create volume files with more debug translators in the g...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Amar Tumballi
Ujjwala
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-16 19:58 EST by Amar Tumballi
Modified: 2013-12-18 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:39:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-01-16 19:58:37 EST
Description of problem:

Currently there is no proper way to have debug/* translators in the graph through CLI. Adding such an option would be very helpful to debug issues and for QE.
Comment 1 Anand Avati 2012-02-20 05:07:21 EST
CHANGE: http://review.gluster.com/776 (volgen: give an option to insert trace/error-gen) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Amar Tumballi 2012-06-01 05:56:06 EDT
The options provided by this patchset is for enabling either trace or error-gen translator on the brick vol file.

$ gluster volume set <VOLNAME> trace <translator-name> 

$ gluster volume set <VOLNAME> error-gen <translator-name>

here <translator-name> can be one of 'posix', 'locks', 'io-threads', 'acl', "marker", "index", upon which, the given debug translator is added to the the graph above the given type of translator.
Comment 3 Ujjwala 2012-06-04 03:59:04 EDT
Verified it on 3.3.0qa45 build. It works fine for all the 6 xlators mentioned above.
Currently there is no validation for the command. Accepts any string in place of <translator-name>. Will file a new bug for that.
Comment 4 Vijay Bellur 2012-07-29 17:40:58 EDT
CHANGE: http://review.gluster.com/3699 (volgen: add option to add trace/error-gen in client volume file) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.